Subject: bug#47992: 27; 28; Phase out use of `equal` in `add-hook`, `remove-hook`

From: Michael Heerdegen <[email-masked]>
Date: Sun, 04 Jul 2021 06:28:47 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> > I must say I'm skeptical: in the case of `add-hook', this would be not
> > much different from forcing the use of symbols (aka named normal
> > functions).  Why add another name space (and the complexity this
> > implies) - where is one too limiting?
>
> These would not be normal functions, but lambdas with an id.

That's the part I understood.  But what advantage would these offer,
compared to standard naming?

Michael.